Subject: Re: linux-next: manual merge of the tip tree with the block tree

From: Jens Axboe <[email-masked]>
Date: Tue, 22 Jun 2010 08:26:01 +0200

On 2010-06-22 02:40, Paul E. McKenney wrote:
> On Tue, Jun 22, 2010 at 10:04:23AM +1000, Stephen Rothwell wrote:
>> Hi Paul,
>>
>> On Tue, 22 Jun 2010 09:40:33 +1000 Stephen Rothwell <[email-masked]> wrote:
>>>
>>> On Mon, 21 Jun 2010 10:13:00 -0700 "Paul E. McKenney" <[email-masked]> wrote:
>>>>
>>>> I took a look, and all of the changes from "fs: remove all rcu head
>>>> initializations, except on_stack initializations" are reflected in -next.
>>>
>>> Thanks for checking.
>>
>> Is there some way that this commit can be merged via the block tree?  Or
>> does later work in your tree depend on it?  There is considerable and
>> ongoing work in the block tree on the same areas as your commit changes.
>> Even today, this conflict is going to be much worse.
> 
> I have no problem with this patch being applied via the block tree, as
> long as it doesn't take too many minor releases for it to hit mainline.  ;-)
> 
> How would everyone like to proceed?

The stuff in the block tree is either destined for the current release
or the next one, the patches going into for-next are a merge of those
two parts.

Is this rcu patch for .35 or .36?

-- 
Jens Axboe